#!/bin/sh



zapytaj()
{
	echo -n $1" [T/n] "
	read a
	if [ "$a" = "t" -o "$a" = "T" -o "$a" = "" ];then return 0;else return 1;fi
}

ldlibs="-L/usr/lib -lm"
defs=""
cflags="-g -O"



if [ -f /usr/include/esd.h ] && zapytaj "Czy chcesz wkompilowa obsug esound?"; then
	ldlibs=$ldlibs" -lesd"
	defs=$defs" -DUSE_ESD=1"
fi

if which artsc-config >/dev/null 2>/dev/null && zapytaj "Czy chcesz wkompilowa obsug aRts?"; then
	ldlibs=$ldlibs" "`artsc-config --libs`
	defs=$defs" -DUSE_ARTS=1"
	cflags=$cflags" "`artsc-config --cflags`
fi

mbrola=`which mbrola 2>/dev/null`
mpath=""
if test "$mbrola" != "" && zapytaj "Czy chcesz wkompilowa obsug mbroli?"; then

	za=""
	
	mpath=/usr/share/mbrola/pl1
	
	while [ "$za" = "" ]; do 
		echo -n "Podaj ciek do pliku fonemw [$mpath] "
		read a
		if [ "$a" != "" ];then mpath="$a";fi
		if [ -f $mpath ]; then za="y"; else echo "Podany plik nie istnieje!";fi
	done			
	if [ "$za" = "y" ];then
		defs=$defs" -DMBROLA_BIN=\\\"$mbrola\\\" -DMBROLA_DB=\\\"$mpath\\\""
	else
		mpath=""
		mbrola=""
	fi
fi


echo "Konfiguracja:"
if echo $defs | grep -q USE_ESD;then echo " - obsuga serwera dwiku esound";fi
if echo $defs | grep -q USE_ARTS;then echo " - obsuga serwera dwiku arts";fi
if echo $defs | grep -q MBROLA;then
	echo " - mbrola:"
	echo "   program - "$mbrola
	echo "   baza fonemw - "$mpath
fi

zapytaj "Zgadzasz si?" || exit 0

echo 'SRCDIR       = .' > Makefile
echo 'CC           = /usr/bin/gcc' >>Makefile
echo 'PREFIX       = /usr' >>Makefile
echo 'BIN_DIR      = $(PREFIX)/bin' >>Makefile
echo 'LDLIBS       = '$ldlibs >>Makefile
echo 'CFLAGS       = '$cflags >>Makefile
echo 'DEFS         = '$defs >>Makefile
echo 'PROGS        = powiedz' >>Makefile
echo -e "\n.c.o :\n"'	$(CC) $(CFLAGS) $(DEFS) -c -o $@ $< ' >>Makefile

echo -e "\n"'all: $(PROGS)' >>Makefile


echo -n -e "\nSAY_OBJS = say.o newstring.o phtoelm.o \
holmes.o elements.o nsynth.o def_pars.o aufile.o \
dits.o polytran.o palput.o main.o" >>Makefile

if [ "$mpath" != "" ]; then
	echo -n " umbrella.o" >>Makefile
fi

echo -e "\n\n"'powiedz : $(SAY_OBJS)'"\n"'	$(CC) -o $@ $(LDFLAGS) $(SAY_OBJS) $(LDLIBS) ' >>Makefile
echo -e "\nclean:\n"'	rm -f $(PROGS) $(DICTS) *.o tmp.par core *~ *% ~* ,* .e[cks]1' >>Makefile
echo -e "\n\n" >> Makefile



echo "aufile.o : aufile.c proto.h file.h" >> Makefile
echo "newstring.o : newstring.c proto.h newstring.h" >> Makefile
echo "def_pars.o : def_pars.c proto.h nsynth.h  pars.def" >> Makefile
echo "elements.o : elements.c elements.h phfeat.h polphones.h elements.plf" >> Makefile
echo "holmes.o : holmes.c proto.h nsynth.h elements.h newstring.h holmes.h phfeat.h" >> Makefile
echo "nsynth.o : nsynth.c proto.h nsynth.h" >> Makefile
echo "phtoelm.o : phtoelm.c proto.h elements.h phfeat.h newstring.h phtoelm.h holmes.h nsynth.h polphones.h" >> Makefile
echo "say.o : say.c proto.h nsynth.h  newstring.h holmes.h phtoelm.h file.h say.h powiedz.h" >> Makefile
echo "dits.o : dits.c" >> Makefile
echo "palput.o : palput.c" >> Makefile
echo "polytran.o: polytran.c" >> Makefile
echo "main.o: main.c powiedz.h" >> Makefile
if [ "$mpath" != "" ]; then
	echo "umbrella.o: umbrella.c powiedz.h" >> Makefile
fi


if [ -f aufile.o ]; then rm aufile.o;fi
if [ -f main.o ]; then rm main.o;fi
if [ -f say.o ]; then rm say.o;fi
if [ -f umbrella.o ]; then rm umbrella.o;fi

make
